libtorrent (0.13.8-2.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:47:50 +0000

libtorrent (0.13.8-2.1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:29:09 +0000

libtorrent (0.13.8-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062687

 -- Graham Inggs <ginggs@debian.org>  Wed, 28 Feb 2024 20:43:55 +0000

libtorrent (0.13.8-2) unstable; urgency=medium

  * Update Standards-Version to 4.4.1:
    + Set Rules-Requires-Root to no

 -- Jonathan McDowell <noodles@earth.li>  Sun, 29 Dec 2019 08:52:29 +0000

libtorrent (0.13.8-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Jonathan McDowell ]
  * New upstream release
    + Remove no longer necessary OpenSSL 1.1 patch
    + No longer sends private IP to trackers (closes: #931656)
  * Remove unnecessary build-dep on dh-autoreconf
  * Bumped package to match the soname change.

 -- Jonathan McDowell <noodles@earth.li>  Sun, 01 Dec 2019 11:15:05 +0000

libtorrent (0.13.7-1) unstable; urgency=medium

  * New upstream release
    + Remove no longer necessary configure.ac + enospace SIGBUS patches
  * Move VCS from Alioth to Salsa.
  * Update Standards-Version to 4.1.4:
    + Mark libtorrent-dev Multi-Arch: same.
    + Switch to priority optional instead of extra.
  * Bump debhelper compat level to 10.
  * Bumped package to match the soname change.

 -- Jonathan McDowell <noodles@earth.li>  Sun, 24 Jun 2018 11:04:30 +0100

libtorrent (0.13.6-2) unstable; urgency=medium

  [ Rene Engelhard ]
  * use PKG_CHECK_MODULES instead of AM_PATH_CPPUNIT (closes: #862129)

  [ Jonathan McDowell ]
  * Fail more gracefully when out of disk space. Closes: #804523
  * Update Vcs links to point to anonscm instead of git.d.o

 -- Jonathan McDowell <noodles@earth.li>  Sat, 12 Aug 2017 10:53:22 -0400

libtorrent (0.13.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Peter Pentchev ]
  * Explicitly add zlib to the build dependencies now that OpenSSL
    no longer depends on it.
  * Import the dh-openssl-1.1 upstream patch to fix the compilation with
    OpenSSL 1.1 by using an accessor function to store the generated
    DH parameters.  Closes: #828414

  [ Markus Koschany ]
  * Remove Rogério Brito from Uploaders as requested.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 22 Dec 2016 08:32:11 +0200

libtorrent (0.13.6-1) unstable; urgency=medium

  [ Jonathan McDowell ]
  * Remove Benoît Knecht from Uploaders. Closes: #779430.

  [ Jose Luis Rivas ]
  * New upstream version.
  * debian/watch now uses github.
  * Bumped package to match the soname change. Closes: #797866.
    (urgency=medium since this is an RC-bug, gcc5 transition)
  * Removed patches, they were already applied upstream.
  * Updated homepage.

 -- Jose Luis Rivas <ghostbar@debian.org>  Wed, 30 Sep 2015 04:03:36 +0000

libtorrent (0.13.4-2) experimental; urgency=low

  * Disable instrumentation / autotests on mips/mipsel/powerpc/sparc to fix
    FTBFS.
  * Bump Standards-Version to 3.9.6.
    + No changes.

 -- Jonathan McDowell <noodles@earth.li>  Wed, 25 Feb 2015 16:44:47 +0000

libtorrent (0.13.4-1) experimental; urgency=low

  * Upload to experimental.
  * New upstream version.
  * Remove obsolete DM-Upload-Allowed from debian/control
  * Add myself to Uploaders.

 -- Jonathan McDowell <noodles@earth.li>  Sun, 21 Dec 2014 23:20:55 +0000

libtorrent (0.13.2-1) unstable; urgency=low

  [ Benoît Knecht ]
  * New upstream version. Closes: #632315.
  * Run the test suite at build time.
  * Let upstream's configure script choose between Linux's fallocate(2) and
    posix_fallocate(3).
  * Put the complete MPL-1.1 in debian/copyright, as required by debian policy
    12.5.

  [ Rogério Brito ]
  * debian/control:
    + Remove useless coding indication.
    + Add Benoît to the list of uploaders. Thanks for reviving this!
  * debian/copyright: Update my copyright years.

 -- Rogério Brito <rbrito@ime.usp.br>  Tue, 29 May 2012 01:19:37 -0300

libtorrent (0.13.0-1) UNRELEASED; urgency=low

  * New upstream version.
  * Drop all debian/patches:
    + disable-tests: debian/rules has been modified not to run the test suite.
    + All the other patches have been applied upstream.
  * Use autoreconf as part of the build process.
    + Build-Depend on dh-autoreconf.
  * Bump Standards-Version to 3.9.3.
    + Update DEP-5 Format URL.
  * debian/copyright:
    + Update copyright dates.
    + Add copyright information for ltmain.sh.
    + Use standalone License paragraphs.
    + Include a copy of the MPL-1.1 in debian/MPL-1.1.
  * Convert to multiarch:
    + Use debhelper compat 9.
    + Make libtorrent14 Pre-Depend on ${misc:Pre-Depends}.
    + Use /usr/lib/*/ instead of /usr/lib/ in debian/*.install.
    + Mark libtorrent14 Multi-Arch: same.

 -- Benoît Knecht <benoit.knecht@fsfe.org>  Thu, 08 Mar 2012 17:28:29 +0100

libtorrent (0.12.9-3) unstable; urgency=medium

  * Urgency medium due to RC bugfix. Closes: #644031.
  * debian/patches: Fix compilation with IPv6. Closes: #490277.
    Thanks to Steinar H. Gunderson.

 -- Rogério Brito <rbrito@ime.usp.br>  Thu, 13 Oct 2011 13:54:16 -0300

libtorrent (0.12.9-2) unstable; urgency=low

  * Rename libtorrent13.{dirs,install} to libtorrent14.{dirs,install}

 -- Rogério Brito <rbrito@ime.usp.br>  Thu, 29 Sep 2011 21:40:57 -0300

libtorrent (0.12.9-1) unstable; urgency=low

  * Imported Upstream version 0.12.9.
  * debian/README.source: Document the preparation of the package.
  * debian/control: Change the name of the package to match soname.
  * debian/patches:
    + Refresh patches.
    + Disable 561232.patch.
    + Disable the IPv6 patch. Breaks systems with IPv4 only and breaks
      compilation.

 -- Rogério Brito <rbrito@ime.usp.br>  Thu, 29 Sep 2011 21:00:13 -0300

libtorrent (0.12.7-6) unstable; urgency=low

  * [d985fd9] Add patches to fix FTBFS with recent GCCs. Closes: #625028.
  * [416efb1] Remove article from the short description of the packages.
  * [9f7495a] Don't install the .la files. Closes: #622478.
  * [054b387] Use wrap-and-sort to normalize the debian subdir.
  * [b46babc] Ship an upstream changelog with the package.
  * [7a76e32] Add years of copyright to my packaging of rtorrent.
  * [2bc93f6] Make debian/copyright parseable by
    `config-edit -application dpkg-copyright`.
  * [85de9a2] Make sure the package conforms to policy 3.9.2.

 -- Rogério Brito <rbrito@ime.usp.br>  Sun, 29 May 2011 22:23:50 -0300

libtorrent (0.12.7-5) unstable; urgency=low

  * Use Steinar's "real" patch for IPv6. Addresses #490277, #618275,
    and Closes: #617791.
  * Adapt libtorrent-0.12.6-ipv6-07.patch. It FTBFS otherwise.
  * Add proper attibution to the IPv6 patch.

 -- Rogério Brito <rbrito@ime.usp.br>  Sun, 20 Mar 2011 01:06:18 -0300

libtorrent (0.12.7-4) unstable; urgency=low

  * Steal patch from upstream's bug tracking system to enable IPv6.
  * Refresh patches to apply cleanly.
  * This should, hopefully, be a good step towards addressing #490277.

 -- Rogério Brito <rbrito@ime.usp.br>  Wed, 09 Mar 2011 20:04:41 -0300

libtorrent (0.12.7-3) unstable; urgency=low

  * debian/rules:
    + Make use of fallocate depend on the architecture. Fixes FTBFS on alpha.
  * debian/patches/*:
    + Put proper description on the patch that disables tests.

 -- Rogério Brito <rbrito@ime.usp.br>  Wed, 09 Mar 2011 19:24:32 -0300

libtorrent (0.12.7-2) unstable; urgency=low

  * Upload to unstable.
  * Pass --with-posix-fallocate to configure. Closes: #557521.
  * gitignore: don't take the .pc directory into account.
  * Keep the files in the checked out tree without patches.
  * Don't confuse dpkg with the removal of the .pc directory.
  * Enable parallel builds with dh in debian/rules.
  * Remove Conflicts/Replaces with older versions. Closes: #563093.
  * Make Jose the maintainer and me only an uploader.
  * Enable ipv6 support in the package. One step towards addressing #490277.

 -- Rogério Brito <rbrito@ime.usp.br>  Sun, 27 Feb 2011 12:06:42 -0300

libtorrent (0.12.7-1) experimental; urgency=low

  [ Rogério Brito ]
  * New upstream version.

  [ Dmitry E. Oboukhov ]
  * Added conflicts/replaces.
  * Standards-Version bumped to 3.9.1.
  * Prepared to upload in experimental.
  * Fixed B-D to use dh's overrides.
  * Package now cleans properly.

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 29 Nov 2010 10:27:43 +0300

libtorrent (0.12.6-2) unstable; urgency=low

  * Applied patch to fix "encryption = try_outgoing,enable_retry" option,
    thanks for Tobias Diedrich <ranma+debianbts@tdiedrich.de>,
    closes: #561232.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 08 Jan 2010 15:18:09 +0300

libtorrent (0.12.6-1) unstable; urgency=low

  * New upstream stable version.

 -- Dmitry E. Oboukhov <unera@debian.org>  Tue, 29 Dec 2009 16:26:40 +0300

libtorrent (0.12.5-2) UNRELEASED; urgency=low

  [ Jose Luis Rivas ]
  * Updated debian/ChangeLog for 0.12.5.
  * Updated to Standards-Version 3.8.2 wo/ any change needed.
  [ UNera ]
  * Added Conflict/Replaces sections for libtorrent11

 -- Dmitry E. Oboukhov <unera@debian.org>  Thu, 20 Aug 2009 09:47:43 +0400

libtorrent (0.12.5-1) unstable; urgency=low

  * New upstream version.

 -- Dmitry E. Oboukhov <unera@debian.org>  Tue, 30 Jun 2009 11:07:26 +0400

libtorrent (0.12.4+tit-2) unstable; urgency=low

  * Putting myself as the maintainer. Jose told me that he is busy with
    his duties and he is free to revert this change as he pleases.
  * Ubuntu people: please contribute your changes! Please.
  * debian/control: remove recommends of rtorrent in the package

 -- Rogério Brito <rbrito@ime.usp.br>  Sun, 17 May 2009 00:51:37 -0300

libtorrent (0.12.4+tit-1) unstable; urgency=low

  * Fixed incorrect merge of previous upload, closes: #527949,
    this version is really 0.12.4.
  * Now we use tar-in-tar build system (added +tit as suffix into version).

 -- Dmitry E. Oboukhov <unera@debian.org>  Sat, 09 May 2009 20:27:09 +0400

libtorrent (0.12.4-2) unstable; urgency=low

  [ Rogério Brito ]
  * debian/changelog:
    + prepare an upload meant to unstable.
  * debian/copyright:
    + fix lintian warning regarding versionless link to GPL.
  * debian/control:
    + add myself as an uploader (discussed with Jose and Adeodato).
    + word-wrap the build dependencies field (for more legibility).
    + include ${misc:Depends} in the binary libtorrent-dev.
    + include comment at the top of the file (policy 3.8.1 allows it).
    + update Standards-Version to 3.8.1.
  * debian/rules:
    + add --as-needed linker option to reduce library dependencies.
    + TODO: create a -dbg package.
    + TODO: create a symbols file.
  * Notice: the library still doesn't provide symbol files because it
    seems to export many private symbols. This will be sent upstream (it
    is better than a Debian specific fix and it has been this way for
    quite some time now).
  * more changes to come in the near future.
  [ Dmitry E. Oboukhov ]
  * debian/control:
    + add myself as an uploader.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 08 May 2009 20:17:41 +0400

libtorrent (0.12.4-1) experimental; urgency=low

  * New Upstream Version
  * Updated debian/ChangeLog file.
  * debian/copyright: Added copyright notice of src/utils/sha_fast.*

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Wed, 19 Nov 2008 13:54:25 -0430

libtorrent (0.12.3-1) experimental; urgency=low

  * New upstream release.
  * Patches are applied from upstream, deleted.
  * Updated build-depends and added libcurl4-openssl-dev.
  * Bumped to 3.8.0 Standards-Version
  * Bumped libtorrent10 to libtorrent11 by SONAME version.
  * Refreshed debian/copyright.
  * Removed Arnaud Andesi from Uploaders.
  * Removed XS- From Vcs fields and updated these fields.
  * Updated debian/ChangeLog file.

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Mon, 17 Nov 2008 23:48:01 -0430

libtorrent (0.12.2-1) experimental; urgency=low

  * New upstream release
  * Deleted debian/patches/update-changelog.patch:
   + Now is shipped in a plain text file, easier to maintain.
  * debian/control:
   + Added "by Rakshasa" to the short description of the package.

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Thu, 08 May 2008 22:51:25 -0430

libtorrent (0.12.1-1) experimental; urgency=low

  * New upstream release.
  * debian/rules:
   + Added `-W' flag (Closes: #449214).
   + Added CXXFLAGS to build with xscale if arch is arm (Closes: #441362).

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Thu, 08 May 2008 21:43:35 -0430

libtorrent (0.11.9-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with gcc-4.3.  (Closes: #420920)

 -- James Vega <jamessan@debian.org>  Tue, 15 Apr 2008 21:38:37 -0400

libtorrent (0.11.9-1) unstable; urgency=low

  * New upstream version.
  * debian/rules:
   + Removed `-03` flag, CDBS automatically replaces it with `-02`,
   the memory leak issue was fixed in 0.11.x versions.
   + Added the exclusion of the doc `NEWS` since there's nothing useful
   inside. (Closes: #444120)
   + Added `-fno-strict-aliasing` compilation option because of issue
   with gcc-4.2.0 that produces segfault. (Closes: #446988)
  * debian/patches/update-changelog.patch:
   + Updated with the new changelog.
  * debian/control:
   + Updated to Standards-Version 3.7.3, no modifications needed.

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Sun, 16 Dec 2007 19:09:02 -0430

libtorrent (0.11.8-1) unstable; urgency=low

  * New upstream version
  * debian/patches/update-changelog.patch:
   + Updated with the new changelog.
  * debian/control:
   + Added the Homepage field, deleted Homepages from the descriptions.

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Tue, 11 Sep 2007 15:12:31 -0400

libtorrent (0.11.7-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/update-changelog.patch:
   + Updated. (Closes: #432572)


 -- Jose Luis Rivas <ghostbar38@gmail.com>  Thu, 16 Aug 2007 18:45:29 -0400

libtorrent (0.11.6-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/update-changelog.patch:
   + Updated.

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Tue, 07 Aug 2007 13:48:47 -0400

libtorrent (0.11.5-1) unstable; urgency=low

  * New upstream release
  * debian/control:
   + Removed unneeded Replace field. (Closes: #410350)

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Wed, 20 Jun 2007 20:09:21 -0400

libtorrent (0.11.4-1) unstable; urgency=low

  [ Jose Luis Rivas ]
  * New upstream version.
  * debian/patches/update-changelog.patch:
    + Modified to patch the full file.
  * debian/rules:
    + Moved patchsys-quilt.mk to simple-patchsys.mk
  * debian/control:
    + Removed quilt from Build-Depends.

  [ Arnaud Fontaine ]
  * debian/control:
    + Add Build-Depends against patchutils.
    + Add XS-Vcs-Bzr field.

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Sat, 31 Mar 2007 10:31:05 -0400

libtorrent (0.11.3-1) unstable; urgency=low

  * New upstream release
  * debian/patches/update-changelog.patch: updated

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Sun, 25 Mar 2007 20:37:30 -0400

libtorrent (0.11.2-1) unstable; urgency=low

  * New upstream release
  * debian/patches/update-changelog.patch: updated
  * Removed unneeded conflicts and replaces with libtorrent9 (Closes: #410350)

 -- Jose Luis Rivas <ghostbar@localhost.localdomain>  Tue, 20 Mar 2007 23:55:19 -0400

libtorrent (0.11.1-1) unstable; urgency=low

  [ Jose Luis Rivas ]
  * New upstream release.
  * Changed name from libtorrent9 to libtorrent10.
  * Fixed changelog problems (closes: #388841).

  [ Arnaud Fontaine ]
  * Switch to cdbs.
  * debian/patches:
    + Move upstream tarball modifications from diff.gz.
  * debian/control:
    + Add the Homepage field.
    + Add myself as uploader.
  * debian/compat:
    + Update to debhelper 5.
  * debian/copyright:
    + Add the current maintainers.

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Fri, 29 Dec 2006 01:14:21 -0400

libtorrent (0.10.4-1) unstable; urgency=low

  * New upstream release

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Fri, 27 Oct 2006 22:46:57 -0400

libtorrent (0.10.3-1) unstable; urgency=low

  * New upstream release

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Wed, 18 Oct 2006 22:21:32 -0400

libtorrent (0.10.2-1) unstable; urgency=low

  * New upstream release.
  * New maintainer.(Closes: #388528)
  * Updated Build-Depends on `debian/control' to debhelper (>= 5.0.37.2).

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Wed, 20 Sep 2006 19:02:10 -0400

libtorrent (0.10.1-1) unstable; urgency=low

  * New upstream release.
  * Changed soname to libtorrent.so.9, changed binary package names
    accordingly.
  * Force alignment by passing --enable-aligned to ./configure.

 -- Qingning Huo <qhuo@mayhq.co.uk>  Tue, 22 Aug 2006 20:49:54 +0100

libtorrent (0.10.0-1) unstable; urgency=low

  * New upstream release.
  * Changed soname to libtorrent.so.8, changed binary package names
    accordingly.

 -- Qingning Huo <qhuo@mayhq.co.uk>  Sat, 15 Jul 2006 16:40:29 +0100

libtorrent (0.9.3-1) unstable; urgency=low

  * New upstream release.
  * Build with g++-4.1.

 -- Qingning Huo <qhuo@mayhq.co.uk>  Sun, 25 Jun 2006 10:06:06 +0100

libtorrent (0.9.1-1) unstable; urgency=low

  * New upstream release.
  - Added views of the downloads that can be sorted and filtered.
    The keys '1' to '6' are bound to a set which can be modified with
    the 'view_*' options.  (See man page)
  - Disconnect incoming connections early if the download is full.
    (Patch by Josef Drexler)
  - Made IPv6 and ncursesw configurable, neither of which are actually
    used yet.
  - Added a "session_save" option which is scheduled by default every
    30 minutes.

 -- Qingning Huo <qhuo@mayhq.co.uk>  Wed, 10 May 2006 21:43:03 +0100

libtorrent (0.9.0-1) unstable; urgency=low

  * New upstream release.
  - Rewrote the chunk selector with support for rarity-first.
  - Added scrape information to the tracker list.
  - The uploaded field in tracker requests get reset every time a
    torrent is restarted, so buggy trackers don't think the client has
    uploaded more than it really did.
  - Show the client names and version in the peer list.
  - Added "send_buffer_size" and "receive_buffer_size" options that set
    the socket SND/RCBBUF sizes.
  - Added signal that allows the client to filter connections based on
    ip and port. Not implemented in the client yet.
  - Added "tos = default|lowdelay|throughput|reliability|mincost".
  - Close torrents with ^K.
  - Show seen chunks and seeder count with 'i', improved by Josef
    Drexler.
  - Added "enable_trackers=yes|no" option that can turn on/off the use
    of trackers on all torrents.
  - Re-added 'tracker_dump' option which takes a filename and output
    better formatted dumps.
  - A larger number of bugs fixed, minor features and cleanup of the
    API.

  * Changed soname to libtorrent.so.7, changed binary package names
    accordingly.

 -- Qingning Huo <qhuo@mayhq.co.uk>  Thu,  6 Apr 2006 23:08:02 +0100

libtorrent (0.8.5-1) unstable; urgency=low

  * New upstream release.

 -- Qingning Huo <qhuo@mayhq.co.uk>  Thu,  9 Mar 2006 19:28:11 +0000

libtorrent (0.8.4-1) unstable; urgency=low

  * New upstream release.

 -- Qingning Huo <qhuo@mayhq.co.uk>  Mon, 13 Feb 2006 20:28:42 +0000

libtorrent (0.8.2-1) unstable; urgency=low

  * New upstream release.
  - Fixed a crash when changing file priorities (Closes: #347429)
  * Build with g++-3.4, (because rtorrent crashes if built with
    g++-4.0).

 -- Qingning Huo <qhuo@mayhq.co.uk>  Thu, 12 Jan 2006 20:47:33 +0000

libtorrent (0.8.1-1) unstable; urgency=low

  * New upstream release (Closes: #344948).

 -- Qingning Huo <qhuo@mayhq.co.uk>  Wed, 28 Dec 2005 12:46:48 +0000

libtorrent (0.8.0-1) unstable; urgency=low

  * New upstream release.
  - Changed soname to libtorrent.so.5, changed binary package names
    accordingly.  This also sloves the C++ library rename issue
    (Closes: #339222).
  * 0.8.0 has new throttling code, so this throttling bug should be
    fixed now (Closes: #335176).

 -- Qingning Huo <qhuo@mayhq.co.uk>  Tue,  6 Dec 2005 22:00:17 +0000

libtorrent (0.7.6-1) unstable; urgency=low

  * New upstream release.

 -- Qingning Huo <qhuo@mayhq.co.uk>  Tue, 18 Oct 2005 21:28:51 +0100

libtorrent (0.7.5-2) unstable; urgency=low

  * Bug 331256 is actually fixed by upstream 0.7.5 (Closes: #331256).

 -- Qingning Huo <qhuo@mayhq.co.uk>  Wed, 12 Oct 2005 22:53:34 +0100

libtorrent (0.7.5-1) unstable; urgency=low

  * New upstream release.

 -- Qingning Huo <qhuo@mayhq.co.uk>  Thu, 29 Sep 2005 19:55:00 +0100

libtorrent (0.7.4-1) unstable; urgency=low

  * New upstream release.

 -- Qingning Huo <qhuo@mayhq.co.uk>  Wed, 21 Sep 2005 21:27:30 +0100

libtorrent (0.7.3-1) unstable; urgency=low

  * New upstream release.
  - Changed soname to libtorrent.so.5, changed binary package names
    accordingly.
  * Fix FSF address in debian/copyright.

 -- Qingning Huo <qhuo@mayhq.co.uk>  Sun,  4 Sep 2005 15:32:31 +0100

libtorrent (0.7.2-2) unstable; urgency=low

  * Fix a compiling error with regard to std::mem_fun_ref (Thanks
    Lucas Wall).

 -- Qingning Huo <qhuo@mayhq.co.uk>  Mon, 22 Aug 2005 21:12:51 +0100

libtorrent (0.7.2-1) unstable; urgency=low

  * New upstream release.

 -- Qingning Huo <qhuo@mayhq.co.uk>  Thu, 18 Aug 2005 21:19:00 +0100

libtorrent (0.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Qingning Huo <qhuo@mayhq.co.uk>  Sun, 14 Aug 2005 11:40:38 +0100

libtorrent (0.7.0-2) unstable; urgency=low

  * Apply upstream patch libtorrent-0.7.0-1.diff:
  - Fixed a bug that gave a 1/16 chance of a torrent messing up
    the request url by adding an space. This would require the
    torrent to be removed and re-added to properly connect with
    the tracker.
  * Make libtorrent4-dev depends on libsigc++-2.0-dev.

 -- Qingning Huo <qhuo@mayhq.co.uk>  Thu, 28 Jul 2005 21:33:15 +0100

libtorrent (0.7.0-1) unstable; urgency=low

  * New upstream release:
  - Changed SONAME to libtorrent.so.4.
  * Changed binary package names to libtorrent4[-dev].

 -- Qingning Huo <qhuo@mayhq.co.uk>  Sat, 23 Jul 2005 17:24:23 +0100

libtorrent (0.6.7-1) unstable; urgency=low

  * New upstream release.
  * Use Standards-Version: 3.6.2.
  * g++ 4.0 transition.
  * Add libssl-dev to Build-Depends.

 -- Qingning Huo <qhuo@mayhq.co.uk>  Sun, 10 Jul 2005 22:33:52 +0100

libtorrent (0.6.6-1) unstable; urgency=low

  * New upstream release.

 -- Qingning Huo <qhuo@mayhq.co.uk>  Tue, 28 Jun 2005 21:51:35 +0100

libtorrent (0.6.5-1) unstable; urgency=low

  * New upstream release.

 -- Qingning Huo <qhuo@mayhq.co.uk>  Thu, 16 Jun 2005 21:02:02 +0100

libtorrent (0.6.4-1) unstable; urgency=low

  * New upstream release.

 -- Qingning Huo <qhuo@mayhq.co.uk>  Sun, 12 Jun 2005 18:39:26 +0100

libtorrent (0.6.3-1) unstable; urgency=low

  * New upstream release:
  - Changed SONAME to libtorrent.so.3.
  * Changed binary package names to libtorrent3[-dev].

 -- Qingning Huo <qhuo@mayhq.co.uk>  Tue, 31 May 2005 21:55:28 +0100

libtorrent (0.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Qingning Huo <qhuo@mayhq.co.uk>  Mon,  9 May 2005 21:37:02 +0100

libtorrent (0.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Qingning Huo <qhuo@mayhq.co.uk>  Mon, 25 Apr 2005 20:57:45 +0100

libtorrent (0.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Qingning Huo <qhuo@mayhq.co.uk>  Sat, 23 Apr 2005 10:29:29 +0100

libtorrent (0.5.4-1) unstable; urgency=low

  * New upstream release.

 -- Qingning Huo <qhuo@mayhq.co.uk>  Thu, 31 Mar 2005 23:19:00 +0100

libtorrent (0.5.2-1) unstable; urgency=low

  * Initial Release. (Closes: #298973)

 -- Qingning Huo <qhuo@mayhq.co.uk>  Wed, 16 Mar 2005 21:32:03 +0000

